Bug 805503 - Recently triggered alerts report does not show resource in details view
Recently triggered alerts report does not show resource in details view
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
4.3
Unspecified Unspecified
low Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks: rhq-uxd
  Show dependency treegraph
 
Reported: 2012-03-21 09:51 EDT by Heiko W. Rupp
Modified: 2013-09-01 06:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:10:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot (58.51 KB, image/png)
2012-03-23 09:16 EDT, Heiko W. Rupp
no flags Details

  None (edit)
Description Heiko W. Rupp 2012-03-21 09:51:50 EDT
Go to the recent alerts report.

Then click on a row to get details. Details do nowhere show the resource and its ancestry

(We may also check if group related things are shown).
Comment 1 Charles Crouch 2012-03-21 15:29:37 EDT
just tried this on 3.0.0.GA and it works perfectly. gwt upgrade issue perhaps?
Comment 2 Heiko W. Rupp 2012-03-23 09:16:48 EDT
Created attachment 572271 [details]
screenshot

As my initial report may have been confusing. I am not talking resource level (where it is clear which resource is meant), but Reports->recent alerts, then click on a row to get the details.
Comment 3 Charles Crouch 2012-03-23 09:49:15 EDT
Ok after talking to Heiko I understand this better now. Nothing is broken per se, its just that after clicking on row in the alert reports you go through to see the particular alert item, but on the new screen you can't see what resource the alert is actually for. I think this is fairly minor since the user obviously saw the resource name and ancestry on the prior page, but I can see what Heiko's getting at, i.e. no breadcrumb.
Comment 4 Jirka Kremser 2012-06-01 07:46:34 EDT
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=965b7d8

git log master:

time:    Fri Jun 1 13:44:11 2012 +0200
commit:  965b7d821a28dde377e2696236ffdd1808883cea
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 805503 - Recently triggered alerts report does not show resource in details view] Resource name and resource ancestry form fields have been added.
Comment 5 Heiko W. Rupp 2013-09-01 06:10:35 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.